## qcom-phone-utils 0.1.1

=== debian/changelog ===
qcom-phone-utils (0.1.1) unstable; urgency=medium

  * Source-only upload to unblock the transition to testing.

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 21 Jan 2023 20:44:53 +0100

qcom-phone-utils (0.1) unstable; urgency=medium

  * Initial package release (Closes: #1026115)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 22 Dec 2022 17:29:28 +0100

## qcom-phone-utils 0.2.1

=== debian/changelog ===
qcom-phone-utils (0.2.1) unstable; urgency=medium

  * initramfs: hooks: fix stupid bug affecting sm7225 devices.
    Copy/paste can be treacherous, resulting in stupid bugs... While at it,
    drop files already included from the `msm` DRM driver.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 13 Feb 2023 21:39:39 +0100

qcom-phone-utils (0.2.0) unstable; urgency=medium

  * hooks: qcom-firmware: make more generic and support the FP4.
    Some firmware files (for ADSP, CDSP & IPA) should be needed for every
    device. However, different SoC's need different files for the GPU
    (`a6*`), and potentially for the WLAN/BT chips. Let's ensure this script
    is flexible enough to account for such differences with minimal changes,
    and add support for the Fairphone 4 while at it.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 09 Feb 2023 17:14:59 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --name qcom-modem-setup --no-start --no-stop-on-upgrade

## qcom-phone-utils 0.4.2

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to run unit tests')

## qcom-phone-utils 0.2.1+nmu1

=== debian/changelog ===
qcom-phone-utils (0.2.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:32:51 +0200

=== debian/control ===
Source: qcom-phone-utils
Section: misc
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qcom-phone-utils.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qcom-phone-utils
Homepage: https://salsa.debian.org/DebianOnMobile-team/qcom-phone-utils

Package: qcom-phone-utils
Architecture: all
Depends: ${misc:Depends},
         abootimg,
         libqmi-utils,
Description: Utilities for Qualcomm-based phones running Linux
 This package provides scripts and services improving the behaviour of
 Qualcomm-based mobile phones running Debian GNU/Linux.
 .
 It includes:
  * Kernel postinst hook for automatic update of boot images
  * Modem/SIM card boot-time configuration service
  * initramfs-tools hook for including the needed firmware
  * initramfs-tools script for proper root device detection

## qcom-phone-utils 0.3.0

=== debian/changelog ===
qcom-phone-utils (0.3.0) unstable; urgency=medium

  [ erebion ]
  * add wireplumber config, taken from postmarketOS

  [ Arnaud Ferraris ]
  * debian: drop custom udev rules
    Its content is part of feedbackd starting with v0.5.0.
  * zz-qcom-bootimg: replace `abootimg` with `mkbootimg`
    `abootimg` is an aging, unmaintained tool, which can't handle modern
    features and bootimg formats. Replacing it with `mkbootimg` will allow
    us to handle v2 images, which carry a separate copy of the DTB rather
    than relying on the one appended to the kernel binary.
  * hooks: qcom-firmware: support the FP5
  * d/lintian-overrides: update for post-usrmerge era

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 27 Sep 2024 12:47:40 +0200

qcom-phone-utils (0.2.2) unstable; urgency=medium

  [ erebion ]
  * Add special case for "bonito", which uses the firmware folders for "sargo"
  * make the script work on systems that use LUKS
  * add unl0kr quirk so that the keyboard shows up on qcom phones

  [ Arnaud Ferraris ]
  * d/gbp.conf: set multimaint-merge and default commit message

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 21 Aug 2024 15:45:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qcom-phone-utils.git
@@ -13,8 +13,8 @@
 Package: qcom-phone-utils
 Architecture: all
 Depends: ${misc:Depends},
-         abootimg,
          libqmi-utils,
+         mkbootimg,
 Description: Utilities for Qualcomm-based phones running Linux
  This package provides scripts and services improving the behaviour of
  Qualcomm-based mobile phones running Debian GNU/Linux.

## qcom-phone-utils 0.3.1

=== debian/changelog ===
qcom-phone-utils (0.3.1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * hooks: qcom-firmware: add SLPI firmware for SDM845 devices.
    The SLPI firmware is used by the sensors' DSP; as it is initialized
    before the rootfs is available, we need to embed the corresponding
    firmware file into the initramfs, otherwise the DSP won't get properly
    initialized and we won't have access to the sensors.

  [ Marco Mattiolo ]
  * Add bootmac for WiFi and Bluetooth

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 21 Dec 2024 11:32:14 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,11 @@
 Package: qcom-phone-utils
 Architecture: all
 Depends: ${misc:Depends},
+         bluez,
+         iproute2,
          libqmi-utils,
          mkbootimg,
+         rfkill,
 Description: Utilities for Qualcomm-based phones running Linux
  This package provides scripts and services improving the behaviour of
  Qualcomm-based mobile phones running Debian GNU/Linux.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --name qcom-modem-setup --no-start --no-stop-on-upgrade
	dh_installsystemd --name qcom-bt-bootmac --no-start --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installudev:
	dh_installudev -pqcom-phone-utils --name=qcom-phone-bootmac --priority=90

## qcom-phone-utils 0.4.0

=== debian/changelog ===
qcom-phone-utils (0.4.0) unstable; urgency=medium

  [ Shubham Vishwakarma ]
  * add nothing phone (1) firmware paths according to mainline kernel

  [ Arnaud Ferraris ]
  * zz-qcom-bootimg: improve current slot detection.
    The method used so far for slot detection has a major flaw: it fails to
    determine the current slot when the same bootimg has been flashed to
    both slots. Now that we have a usable `qbootctl` in Debian, use it to
    make this detection more reliable.
  * Import `bootmac` and `q6voiced` as Meson subprojects.
    Those are both maintained in separate repos upstream, but do not warrant
    being packaged on their own in Debian. In order to integrate those utils
    into `qcom-phone-utils`, while still making upgrades and maintenance
    realtively easy, we can simply import those as Meson subprojects.
    This requires the following changes:
    * drop current copies of bootmac and associated systemd service and udev
      rules
    * add a "patch" (according to Meson's definition) `meson.build` file to
      `bootmac` so it can be "built" using `meson` as well
    * update `d/copyright` and `d/rules` accordingly
    * create a top-level `meson.build` so debhelper can identify the build
      system and process the subprojects automatically
    * add the newly-needed build dependencies and make `qcom-phone-utils`
      an `Architecture: any` package as it now ships a compiled executable
  * Re-organize repo layout.
    As we're starting to have lots of different files in there, let's use
    clearly labelled subfolders. While at it, add a `.gitignore` file.
  * q6voiced: port to "regular" ALSA.
    Tinyalsa is an Android library not packaged in Debian. As it wouldn't
    have any other user and can easily be replaced with the more usual
    `libasound`, "port" `q6voiced` to the usual ALSA lib.
  * q6voiced: add wrapper script and systemd service.
    As we'd rather not ship device-specific config files, let's create a
    wrapper script for `q6voiced` which will auto-detect the underlying
    device and pass the correct parameters to `q6voiced`. The latter is
    therefore patched to be installed to `/usr/libexec`, leaving `/usr/bin`
    free for our wrapper.
    Also add a systemd service so it can start automatically.
  * scripts: add linting (with shellcheck) as unit test.
    In order to ensure a reasonably good code quality for our shell scripts,
    add a shellcheck-based unit test. This is implemented through meson, and
    therefore requires a few adjustments to `d/rules` in addition to build
    dependencies.
    Take this opportunity to fix the errors reported in our scripts.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 05 Feb 2025 13:03:38 +0100

## qcom-phone-utils 0.4.1

=== debian/changelog ===
qcom-phone-utils (0.4.1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * q6voiced: new upstream version 0.2.0

  [ Marco Mattiolo ]
  * Fix audio on enchilada by commenting api.alsa.period-*
    values chosen automatically by pipewire/wireplumber seem to work much better

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 03 Mar 2025 22:20:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,26 @@
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13),
+               libasound-dev,
+               libdbus-1-dev,
+               meson,
+               pkgconf,
+               systemd-dev,
+               shellcheck <!nocheck>,
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qcom-phone-utils.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qcom-phone-utils
 Homepage: https://salsa.debian.org/DebianOnMobile-team/qcom-phone-utils
 
 Package: qcom-phone-utils
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          bluez,
          iproute2,
          libqmi-utils,
          mkbootimg,
+         qbootctl (>> 0.2.0~),
          rfkill,
 Description: Utilities for Qualcomm-based phones running Linux
  This package provides scripts and services improving the behaviour of

## qcom-phone-utils 0.4.2

=== debian/changelog ===
qcom-phone-utils (0.4.2) unstable; urgency=medium

  [ Alexandre Viard ]
  * enhance qcom-modem-setup script to initialize GPS in the modem

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 04 May 2025 13:32:44 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
  CONFIGURE_OPTS=-Dtests=true
else
  CONFIGURE_OPTS=-Dtests=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_installsystemd:
	dh_installsystemd --name q6voiced --no-start --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installsystemd --name qcom-modem-setup --no-start --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installsystemd --name bootmac-bluetooth --no-start --no-stop-on-upgrade --no-restart-after-upgrade

## qcom-phone-utils 0.4.3

=== debian/changelog ===
qcom-phone-utils (0.4.3) unstable; urgency=medium

  * hooks: qcom-firmware: support the SHIFT 8.
    This one puts firmware under `VENDOR/model`, so we have to adapt.
  * hooks: qcom-firmware: rework per-model/SoC conditions.
    We're starting to have a lot of device and/or SoC-specific "overrides",
    so `elif`s are piling up. Switching to `case` should make things a bit
    more readable and straightforward.
  * qcom-modem-setup: enable GNSS before looking for SIM card.
    This will ensure the GNSS is configured properly even if there isn't any
    SIM card in the phone. (Closes: #1117543)
  * d/control: bump Standards-Version and drop Rules-Requires-Root.
    No other change is needed.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 18 Nov 2025 14:35:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                libasound-dev,
                libdbus-1-dev,

## qcom-phone-utils 0.4.4

=== debian/changelog ===
qcom-phone-utils (0.4.4) unstable; urgency=medium

  * hooks: qcom-firmware: add support for SM7150-based devices

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 26 Nov 2025 13:12:50 +0100
